Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_Attribute

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_SchemaObject

                        |

                        +--oracle.ifs.server.S_TieSchemaObject

                              |

                              +--oracle.ifs.server.S_Attribute

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SchemaObjectInterface, Traceable

public final class S_Attribute
extends S_TieSchemaObject

An S_Attribute is the server-side representation of the ATTRIBUTE class.

Method Summary
`protected void` | `extendedPreFree(OperationState opState, S_LibraryObjectDefinition def)` Performs pre-free operations.
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition sdef)` Performs pre-insert validation.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition sdef)` Performs pre-update validation.

Methods inherited from class oracle.ifs.server.S_SchemaObject
`hasNameAttribute`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`deriveDefinition, equals, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, handleEvent, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Method Detail

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition sdef)
                              throws IfsException

  Performs pre-insert validation.
  Overrides:
    `extendedPreInsert` in class `S_SchemaObject`
  Parameters:
    `opState` - the operation state
    `sdef` - the definition of the Attribute being created
  Throws:
    `IfsException` - (IFS-10420) if a class domain is specified for a non-object type Attribute

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition sdef)
                              throws IfsException

  Performs pre-update validation.
  Overrides:
    `extendedPreUpdate` in class `S_LibraryObject`
  Parameters:
    `the` - operation state
    `the` - definition of the Attribute being updated
  Throws:
    `IfsException` - (IFS-10420) if a class domain is specified for a non-object type Attribute

### extendedPreFree

    protected void extendedPreFree(OperationState opState,
                                   S_LibraryObjectDefinition def)
                            throws IfsException

  Performs pre-free operations.
  Overrides:
    `extendedPreFree` in class `S_LibraryObject`
  Parameters:
    `opState` - the operation state
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD